wmclock(1)

NAME
wmclock - A dockable clock for the Window Maker window manager

SYNOPSIS

wmclock [{-12|-24|-year}] [-noblink] [-version] [-exe program] [-led color] [-monthxpm filename] [-weekdayxpm filename]

DESCRIPTION

Wmclock is an applet which displays the date and time in a dockable tile in the same style as the clock from the NEXTSTEP(tm) operating system. Wmclock is specially designed for the Window Maker window manager, by Alfredo Kojima, and features multiple language support, twenty-four-hour and twelve-hour (am/pm) time display, and, optionally, can run a user-specified program on a mouse click. Wmclock is derived from asclock, a similar clock for the AfterStep window manager.

OPTIONS

-12 or -24
    Display the time in either twelve-hour format (with am/pm) or twenty-four-hour format. Defaults to twenty-four-hour display.

-year
    Display the current year in the LED display instead of the time.

-noblink
    The separator between the hours and minutes in the time display blinks by default. This option turns off the blinking and displays a steadily lit separator instead.

-interval n
    Set the blink cycle to n seconds. The default is 2 (1 second on, 1 second off).

-version
    Displays the version of Wmclock.

-exe command
    Run command in the background when a mouse button is pressed over wmclock. See below for details.

-led color
    Use color as the foreground color of the LED display. Color may be either a named color from the rgb.txt database (for example, `red' or `chartreuse') or a numeric color specification in any of the usual X11 formats (for example, `#ff0000' or `rgb:7f/ff/00'). See the X(1) man page for more information.

-monthxpm filename
    Get month abbreviations from filename, which is expected to be in the XPM format. See below for details.

-weekdayxpm filename
    Get weekday abbreviations from filename, which is expected to be in the XPM format. See below for details.

INVOCATION AND EXAMPLES

The simplest way to start wmclock is:

    wmclock

Wmclock displays in its own appicon, which you can place in Window Maker's dock by holding down the [Alt] or [Meta] key and dragging wmclock to the dock with the primary mouse button (usually the left one).

For a more complicated example:

    wmclock -12 -led gold -exe /usr/GNUstep/Apps/WPrefs.app/WPrefs

This displays 12-hour time in an amber-colored LED display, and starts Window Maker's preferences utility when you click on wmclock.

DETAILS

  Running Commands

When you use wmclock with the -exe option, wmclock will run the command you specify whenever you press a mouse button while the mouse cursor is over wmclock. Wmclock uses the system(3) function from the C library (and ultimately /bin/sh) to run the command; hence, the command must be in Bourne-shell syntax.

  Using Alternate Month and Weekday Abbreviations

You can use the -monthxpm and -weekdayxpm options to convince wmclock to display month and day-of-week abbreviations in a language besides the one it was compiled with, or to display them in a language that wmclock does not yet support. The files you specify must be in the XPM format, and they must follow the same strict size and placement as the month and weekday XPMs that come in the wmclock source package. Each weekday abbreviation must be 21 pixels wide and 6 pixels high; each month abbreviation must be 22 pixels wide and 6 pixels high. The month abbreviations must be arranged vertically, beginning with January at the top and continuing down to December at the bottom. The weekday abbreviations must also be arranged vertically, beginning with Monday at the top and continuing to Sunday at the bottom.

You can find XPM files for a variety of languages in:

    @prefix@/share/wmclock

For example, to have a French display, you could use the following command line:

    wmclock -monthxpm @prefix@/share/wmclock/lang.french/month.xpm -weekdayxpm @prefix@/share/wmclock/lang.french/weekday.xpm

  Obsolete Options

In order to maintain command-line compatibility (mostly) with asclock, wmclock accepts a few options on the command line without complaining, even though they don't have any effect. The options which wmclock accepts in this manner are -shape and -iconic. Some dockable versions of asclock required one or both of these options to become properly dockable. However, Since wmclock is designed for Window Maker's dock, it already displays in a shaped window in its own dockable appicon.

BUGS

Wmclock shouldn't run a command on a single click; should use a double click instead.

Wmclock should use Alfredo Kojima's libdockapp library instead of inventing its own wheel.

SEE ALSO

X(1), asclock(1x), wmaker(1x), system(3)

COPYRIGHT AND LICENSE

Copyright (C) 1999 by Jim Knoble <jmknoble@pobox.com>. Significant portions of wmclock are directly derived from asclock by Beat Christen, who, along with asclock's other authors, owns the copyright to those portions of wmclock.

Wmclock is licensed under the GNU General Public License, version 2, or (at your option) any later version. See <http://www.gnu.org/> for more information.

AUTHORS
Jim Knoble <jmknoble@pobox.com>
Beat Christen <spiff@longstreet.ch>, author of asclock

DISCLAIMER

The software is provided ``as is'', without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall the author(s) be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the software.

Your mileage may vary. Eat your vegetables.